### File

`packages/core/src/lib/components/euim-pdf-viewer/euim-pdf-viewer.component.ts`

### Implements

`OnInit` `OnChanges` `OnDestroy`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `euim-pdf-viewer`
imports | `IonicModule` `PdfViewerModule` `PinchZoomModule` `EuimSpinnerComponentModule` `TranslateModule` `HttpClientModule`
styleUrls | `./styles/_index.scss`
templateUrl | `./euim-pdf-viewer.component.html`

### Index

###### Properties
className errorMessage Optional eventResult loading pdf pinch zoom
###### Methods
nextPage onDownload onError onLoaded onResetZoom onZoomIn onZoomOut prevPage zoomChange
###### Inputs
page url
###### HostBindings
className

### Constructor

`constructor(alertService: AlertController, http: HttpClient)`
Parameters :
Name | Type | Optional
alertService | `AlertController` | No
http | `HttpClient` | No

### Inputs

page
Type : `number`
Default value : `1`

url
Type : `string`

### HostBindings

className
Type : `string`
Default value : `'euim-pdf-viewer'`

### Methods

nextPage
`nextPage()`
Returns : `void`

onDownload
`onDownload()`
Returns : `void`

onError
`onError()`
Returns : `void`

onLoaded
`onLoaded(pdf: PDFDocumentProxy)`
Parameters :
Name | Type | Optional
pdf | `PDFDocumentProxy` | No
Returns : `void`

onResetZoom
`onResetZoom()`
Returns : `void`

onZoomIn
`onZoomIn()`
Returns : `void`

onZoomOut
`onZoomOut()`
Returns : `void`

prevPage
`prevPage()`
Returns : `void`

zoomChange
`zoomChange(event: ZoomEvent)`
Parameters :
Name | Type | Optional
event | `ZoomEvent` | No
Returns : `void`

### Properties

className
Type : `string`
Default value : `'euim-pdf-viewer'`
Decorators : `@HostBinding()`

errorMessage
Type : `string`
Default value : `''`

Optional eventResult
Type : `ZoomEvent`

loading
Default value : `true`

pdf
Type : `PDFDocumentProxy`

pinch
Type : `PinchZoomComponent`
Decorators : `@ViewChild('pinch', {static: true})`

zoom
Type : `number`
Default value : `1`

# results matching ""

# No results matching ""